SDL_HINT_MOUSE_TOUCH_EVENTS(3)

NAME
SDL_HINT_MOUSE_TOUCH_EVENTS - A variable controlling whether mouse events should generate synthetic touch events.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_MOUSE_TOUCH_EVENTS SDL_MOUSE_TOUCH_EVENTS"

DESCRIPTION
The variable can be set to the following values:

• "0": Mouse events will not generate touch events. (default for desktop
  platforms)

• "1": Mouse events will generate touch events. (default for mobile
  platforms, such as Android and iOS)

This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.2.0.